#include "libs.h"
#include "body.h"
#include "frame.h"

Body::Body(void) {
  m_frame = 0;
  m_flags = 0;
}

/* f == NULL, then absolute position within system. */
vector3d Body::GetPositionRelTo(const Frame* relTo) {
  return m_frame->GetPosRelativeToOtherFrame(relTo) + GetPosition();
}

