#pragma once
#include <vector>
#include "vector3.h"

struct ObjVertex {
  vector3f p;
};

struct ObjTriangle {
  int v[3];
};

struct ObjMesh {
  std::vector<ObjVertex> vertices;
  std::vector<ObjTriangle> triangles;
  void Render(void);
};

ObjMesh* import_obj_mesh(const char* filename);

