#pragma once
#include "libs.h"
#include "gui.h"
#include "view.h"
#include "star_system.h"
#include "generic_system_view.h"

class SystemInfoView : public GenericSystemView {
public:
  SystemInfoView(void);
  virtual void Update(void);
  virtual void Draw3D(void);
private:
  void SystemChanged(StarSystem* s);
  void OnBodySelected(StarSystem::SBody* b);
  StarSystem::SBody* m_bodySelected;
  Gui::Label* m_infoText;
};

