#pragma once
#include <string>
#include "gui_widget.h"

namespace Gui {
  class ToggleButton : public Button {
  public:
    ToggleButton(void);
    virtual void Draw(void);
    virtual ~ToggleButton(void) {}
    virtual void GetSizeRequested(float& w, float& h);
    virtual void OnMouseDown(MouseButtonEvent* e);
    void SetPressed(bool s) { m_pressed = s; }
    bool GetPressed(void)   { return m_pressed; }

    sigc::signal<void, ToggleButton*> onSelect;
    sigc::signal<void, ToggleButton*> onDeselect;
  private:
    int m_pressed;
  };
}

