#pragma once
#include "body.h"
#include "static_rigid_body.h"
#include "vector3.h"
#include "matrix4x4.h"

class ObjMesh;

class RigidBody: public StaticRigidBody {
public:
  RigidBody(void);
  virtual ~RigidBody(void);
  void SetVelocity(vector3d v);
  void SetAngVelocity(vector3d v);
  void SetMesh(ObjMesh* m);
  virtual bool OnCollision(Body* b) { return true; }
  vector3d GetAngularMomentum(void);

  dBodyID m_body;
  dMass   m_mass;

protected:

private:
  ObjMesh* m_mesh;
};
